
/***************************************
* STORED stp_processaSpedizTerz
*
* effettua la spedizione verso i terzisti, se deliberati è ok così, se non deliberati restano in posizione 305 da deliberare
*
* Steamware, S.E.L.
* mod: 2012.05.30
*
****************************************/
CREATE PROCEDURE [dbo].[stp_processaSpedizTerz]
(
	@CodSoggetto NVARCHAR(17)
)
AS

-- UDC x cursore
DECLARE @UDC NVARCHAR(50)       -- UDC SQL    
-- evento da usare
DECLARE @CodEvento AS NVARCHAR(10)
SET		@CodEvento = 'SpeWipTerz'


 -- Dichiaro e carico il cursore
	DECLARE Udc4Ter CURSOR LOCAL FOR
		SELECT UDC FROM ElencoCartellini WHERE IdxPosizione IN (SELECT IdxPosizione FROM TabTranPosizEventi WHERE CodEvento = @CodEvento)
	
	OPEN Udc4Ter
		FETCH NEXT FROM Udc4Ter 
		INTO @UDC
	
	WHILE @@FETCH_STATUS = 0
	BEGIN
		-- processo gli UDC...
		UPDATE	ElencoCartellini
		SET		IdxPosizione = ttpe.IdxPosizioneTo
		       ,ModDate=GETDATE()
		       ,CodEvento	= @CodEvento
		       ,CodSoggetto = @CodSoggetto
		FROM	ElencoCartellini ec INNER JOIN TabTranPosizEventi ttpe ON ec.IdxPosizione=ttpe.IdxPosizione
		WHERE	ec.UDC = @UDC AND ttpe.CodEvento = @CodEvento

		FETCH NEXT FROM Udc4Ter INTO @UDC
	END
	CLOSE Udc4Ter
	DEALLOCATE Udc4Ter
	
RETURN
